org.eclipse.microprofile.metrics.test.optional

## Class MPMetricBaseMetricsTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.test.optional.MPMetricBaseMetricsTest

    public class MPMetricBaseMetricsTest
    extends Object

### Field Summary

Fields
`static double` `TOLERANCE`

### Constructor Summary

Constructors
Constructor and Description
`MPMetricBaseMetricsTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`static void` `setup()`
`void` `testBaseAttributePromMetrics()`
`void` `testBaseMetadataSingluarItemsPromMetrics()`
`void` `testBasePromMetrics()`
`void` `testGcCountMetrics()` Check that there is at least one metric named gc.total and that they all contain expected tags (actually this is just 'name' for now).
`void` `testGcTimeMetrics()` Check that there is at least one metric named gc.time and that they all contain expected tags (actually this is just 'name' for now).
`void` `testOptionalBaseMetrics()`
`void` `testPromMetricsFormatNoBadChars()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TOLERANCE

    public static final double TOLERANCE

See Also:
  Constant Field Values

### Constructor Detail

#### MPMetricBaseMetricsTest

    public MPMetricBaseMetricsTest()

### Method Detail

#### setup

    public static void setup()
                      throws MalformedURLException

Throws:
  `MalformedURLException`

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testBasePromMetrics

    @RunAsClient
     @InSequence(value=1)
    public void testBasePromMetrics()

#### testBaseAttributePromMetrics

    @RunAsClient
     @InSequence(value=2)
    public void testBaseAttributePromMetrics()

#### testPromMetricsFormatNoBadChars

    @RunAsClient
     @InSequence(value=3)
    public void testPromMetricsFormatNoBadChars()

#### testBaseMetadataSingluarItemsPromMetrics

    @RunAsClient
     @InSequence(value=4)
    public void testBaseMetadataSingluarItemsPromMetrics()

#### testOptionalBaseMetrics

    @RunAsClient
     @InSequence(value=5)
    public void testOptionalBaseMetrics()

#### testGcCountMetrics

    @RunAsClient
     @InSequence(value=6)
    public void testGcCountMetrics()

Check that there is at least one metric named gc.total and that they all contain expected tags (actually this is just 'name' for now).

#### testGcTimeMetrics

    @RunAsClient
     @InSequence(value=7)
    public void testGcTimeMetrics()

Check that there is at least one metric named gc.time and that they all contain expected tags (actually this is just 'name' for now).